HVDMcheck {rHVDM} | R Documentation

## Checks that an object of class ExpressionSet is compliant with HVDM

### Description

This method issues warnings about the compliance of the ExpressionSet object to be used with rHVDM. It just issues warnings and does not attempt to correct the problems encountered. the `pdata` argument is optional; if missing, the method will check the phenodata that is inside the ExpressionSet.

### Usage

    HVDMcheck(eset,pdata)

### Arguments

`eset` | an ExpressionSet object (Biobase)
`pdata` | a dataframe (optional argument)

### Details

The checks performed are: A) the phenoData has all the required fields. B) the time field is numeric, has a zero time point, does not have negative or repeated values. C) the row names in the phenoData are consistent with the columns names found in the ExpressionSet. D) the data are not log-transformed. E) Standard deviations have been supplied in the ExpressionSet, and they are non-negative.

### Value

no value returned.

### Note

If the `pdata` argument is ignored (it can be), the method checks the phenoData that is inside the ExpressionSet.

### Author(s)

Martino Barenco

### References

M. Barenco, D. Tomescu, D. Brewer, R. Callard, J. Stark, M. Hubank (2006) Ranked predictions of p53 targets using Hidden Variable Dynamic Modelling. Genome Biology, V7(3), R25.

### See Also

`training`

### Examples

    data(HVDMexample)
    HVDMcheck(fiveGyMAS5)

[Package rHVDM version 1.10.1 Index]